Bug 1047545 - [pa_IN] Lohit Fonts Display Issue
[pa_IN] Lohit Fonts Display Issue
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: lohit-punjabi-fonts (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-31 11:15 EST by A S Alam
Modified: 2015-06-01 07:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-01 07:36:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Lohit Fonts on Fedora. (71.49 KB, image/jpeg)
2013-12-31 11:15 EST, A S Alam
no flags Details
Windows - Screenshot with Same characters. (9.96 KB, image/png)
2013-12-31 11:23 EST, A S Alam
no flags Details
Lohit Punjabi font issues (8.20 KB, image/png)
2014-01-02 03:21 EST, Amandeep Singh Saini
no flags Details
Image to show improved rendering (15.43 KB, image/png)
2015-06-01 07:35 EDT, Pravin Satpute
no flags Details

  None (edit)
Description A S Alam 2013-12-31 11:15:11 EST
Created attachment 843827 [details]
Lohit Fonts on Fedora.

Description of problem:
Punjabi Lohit font has display issue although Technical rendering is good, but display is not Good.
---------------
0A48 -ੈ - GURMUKHI VOWEL SIGN AI
0A4B- ੋ - GURMUKHI VOWEL SIGN OO
0A71- ੱ - GURMUKHI ADDAK
---------------


Version-Release number of selected component (if applicable):
lohit-punjabi-fonts-2.5.3-3.fc20.noarch

How reproducible:
Everytime

Steps to Reproduce:
1. Copy Paste (ਸੈ ਸੋ ਉੱ) text
2. check rendering for dependent vowel with Consonants/Independent


Actual results:
Dependent character mixed with Consonants/Independent

Expected results:
Dependent character should more clear

Additional info:
1st Screenshot
- Fedora 20 with konversation (kde) and Gedit (GNOME) applications.

Unicode Charts
http://www.unicode.org/charts/PDF/U0A00.pdf

Try to attach screenshot on Windows with Raavi Fonts
Comment 1 A S Alam 2013-12-31 11:23:00 EST
Created attachment 843840 [details]
Windows - Screenshot with Same characters.
Comment 2 Pravin Satpute 2014-01-02 01:48:25 EST
Looking at looks two issue

1. 0A48 -ੈ - GURMUKHI VOWEL SIGN AI  & 0A4B- ੋ - GURMUKHI VOWEL SIGN OO  Does not attach properly (looks small gap)

2. 0A71 ੱ does not have sufficient gap with preceding character.

 I will fix this with next release. 

Thanks Aman for reporting this issue.
Comment 3 Amandeep Singh Saini 2014-01-02 03:21:49 EST
Created attachment 844395 [details]
Lohit Punjabi font issues

here I am attaching the image taken from fedora 19 OS and it can clearly be seen the matras are merging either to each other or to the fonts. 
matras ੈ and  ੋ require a clockwise rotation to few degrees. also the size of also the matras size be such that they must not take space more the the width of the character they are upon.
the matra  ੱ is of very large size and it needs to be shrunken a bit. it overlaps to the characters on the both sides specially when it is ਉੱ on its left side.
Comment 4 Pravin Satpute 2014-01-02 03:35:06 EST
Thanks Amandeep for more clarification. I designed Adak specifically checking with the Unicode chart, where Adak is bit bigger than Tippi.

Agree with your provided comments. 

Really happy that issue got reported before Lohit2 plan of Punjabi.
Comment 5 Fedora End Of Life 2015-05-29 06:15:46 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Pravin Satpute 2015-06-01 07:35:56 EDT
Created attachment 1033261 [details]
Image to show improved rendering

This resolves issue report by A S Alam.

For issue reported by  Amandeep Singh Saini reported upstream issue. https://github.com/pravins/lohit/issues/71
Comment 7 Pravin Satpute 2015-06-01 07:36:24 EDT
closing as a upstream.

Note You need to log in before you can comment on or make changes to this bug.